Subject: bug#31305: 27.0.50; Symlinks recognized as dirs

From: David Caldwell <[email-masked]>
Date: Fri, 18 May 2018 03:22:46 -0700

On 5/16/18 6:09 PM, Paul Eggert wrote:
> On 05/16/2018 05:29 PM, David Caldwell wrote:
>>> then a simple fix
>>> is to have emacsformacosx.com build for OS X 10.10 or later,
>> This is very easy to do, I mostly haven't already because I didn't see
>> any compelling reason to build on later machines (I'm not aware of any
>> 10.10-10.13 dependent features the same way that say full screen mode
>> only works in 10.9 and later).
> 
> Thanks for the info. When you have a moment could you please try
> building on OS X 10.10 and then testing the result? I assume OS X 10.10
> has a file /etc/passwd so you could run something like this:
> 
> ln -s /etc/passwd .
> src/emacs -Q -batch -eval '(message "%S" (file-name-completion "pass"
> "."))'

Hi Paul,

I built from 60ff8101449eea3a5ca4961299501efd83d011bd.

$ sw_vers
ProductName:	Mac OS X
ProductVersion:	10.10.5
BuildVersion:	14F2511
$ src/emacs -Q -batch -eval '(message "%S" (file-name-completion "pass"
"."))'
"passwd"

Since this doesn't seem to match your hypothesis, do you still want me
to try it with the "/./" patch you sent?

-David